com.pivotal.gemfirexd.jdbc

## Class ClientDriver

- java.lang.Object
- - com.pivotal.gemfirexd.jdbc.ClientDRDADriver
  - - com.pivotal.gemfirexd.jdbc.ClientDriver

All Implemented Interfaces:
  Driver

    public class ClientDriver
    extends ClientDRDADriver

Client driver encapsulating both Thrift and DRDA protocols as per protocol string. Default is determined by `ClientSharedUtils.USE_THRIFT_AS_DEFAULT`

Since:
  gfxd 2.0

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.jdbc.ClientDRDADriver

`DRDA_CONNECTION_PROTOCOL, exceptionsOnLoadDriver__, GEMXD_PROTOCOL, registeredDriver__, SNAPPY_PROTOCOL, URL_PREFIX_REGEX, URL_SUFFIX_REGEX`

### Constructor Summary

Constructors
Constructor and Description
`ClientDriver()`

### Method Summary

Methods
`boolean` `acceptsURL(String url)`
`protected Connection` `createThriftConnection(String server, int port, Properties props)`
`static ClientDriver` `getRegisteredDriver()`
`protected Matcher` `matchProtocol(String url)`
`protected Matcher` `matchURL(String url)`
`protected boolean` `useThriftProtocol(Matcher m)`

### Methods inherited from class com.pivotal.gemfirexd.jdbc.ClientDRDADriver

`connect, getFactory, getMajorVersion, getMinorVersion, getParentLogger, getPropertyInfo, getServer, getURLProperties, jdbcCompliant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientDriver

    public ClientDriver()

### Method Detail

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Overrides:
  `acceptsURL` in class `ClientDRDADriver`
Throws:
  `SQLException`

#### useThriftProtocol

    protected boolean useThriftProtocol(Matcher m)

Overrides:
  `useThriftProtocol` in class `ClientDRDADriver`

#### matchURL

    protected Matcher matchURL(String url)

Overrides:
  `matchURL` in class `ClientDRDADriver`

#### matchProtocol

    protected Matcher matchProtocol(String url)

Overrides:
  `matchProtocol` in class `ClientDRDADriver`

#### createThriftConnection

    protected Connection createThriftConnection(String server,
                                    int port,
                                    Properties props)
                                         throws SQLException

Overrides:
  `createThriftConnection` in class `ClientDRDADriver`
Throws:
  `SQLException`

#### getRegisteredDriver

    public static ClientDriver getRegisteredDriver()